#!/opt/cloudlinux/venv/bin/python3 -bb
# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import absolute_import
from __future__ import division
from __future__ import unicode_literals
from future import standard_library
standard_library.install_aliases()
from builtins import *
import subprocess
import simplejson as json
import sys

def describe():
    descr = [
                 {'category': 'Whostmgr',
                 'event'   : 'Lang::PHP::set_system_default_version',
                 'stage'   : 'post',
                 'hook'    : '/usr/share/cagefs/cpanel/cpanel_multiphp_hook.py',
                 'exectype' : 'script',
                 },
                 {'category': 'Whostmgr',
                 'event'   : 'Lang::PHP::ini_set_content',
                 'stage'   : 'post',
                 'hook'    : '/usr/share/cagefs/cpanel/cpanel_multiphp_hook.py',
                 'exectype' : 'script',
                 },
                 {'category': 'Whostmgr',
                 'event'   : 'Lang::PHP::ini_set_directives',
                 'stage'   : 'post',
                 'hook'    : '/usr/share/cagefs/cpanel/cpanel_multiphp_hook.py',
                 'exectype' : 'script',
                 }
             ]
    return json.dumps(descr)


if "__main__" == __name__:
    argv = sys.argv[1:]
    if '--describe' in argv:
        print(describe())
        sys.exit(0)
    ret = subprocess.call(['/usr/share/cagefs/setup_multiphp_integration'])
    exit(ret)
